Subject: Re: Repeatable IPv6 crash in 3.19.0-1

From: Brian Rak <[email-masked]>
Date: Fri, 27 Feb 2015 21:11:16 -0500

On 2/27/2015 9:03 PM, Eric Dumazet wrote:
> On Fri, 2015-02-27 at 18:01 -0800, Eric Dumazet wrote:
>> On Fri, 2015-02-27 at 20:54 -0500, Brian Rak wrote:
>>
>>> Wow, that was *much* faster then I was expecting, thanks a bunch!
>>>
>>> I can confirm that resolves the issue.. I've tested this and it fixes
>>> the issue perfectly.  I've been able to put a whole bunch of IPv6
>>> traffic through the interface now, whereas before even a minor amount of
>>> traffic would crash the host.
>>>
>>> Thanks again!
>>
>> Interesting...
>>
>> Had a prior version of linux kernel been fine ?
>
> Or maybe you recently switched on this config option ?
>
> CONFIG_DEBUG_PAGEALLOC=y
>
>
>

We've only recently started using this veth/macvtap combo, so it's 
possible this has been around for awhile and we just hadn't noticed.

I don't have any info on older kernels currently.  I *think* I've seen 
crashes on 3.17.1, but I didn't save any stack traces, so I can't be sure.

CONFIG_DEBUG_PAGEALLOC is not set, and never has been.